#define LISTH TRUE
typedef struct
{
   CHAR defaultValue[256];
   CHAR Name[256];
   enum DbfFieldTypes Type;
   BYTE Length;
   BYTE Precision;
   BYTE WorkAreaID;
   BYTE Flags;
   struct DBFFIELD_STRUCT *(*New)(void);
   void *(*SetVals)(void *field);
   void *(*Read)(HFILE hFile, BYTE encoding);
   void *(*Write)(HFILE hFile, BYTE encoding);
   void *(*DbfField)(void *dbffield);
   void *(*DbfField4)(PSZ name, enum DbfFieldTypes Type, BYTE length, int precision);
   BOOL (*Equals)(struct DBFFIELD_STRUCT other);

} DBFFIELD_STRUCT;


DBFFIELD_STRUCT *DbfFieldNew(void);
DBFFIELD_STRUCT *DbfField4(PSZ name, enum DbfFieldTypes Type, BYTE length, int precision);
BOOL dbfField_Equals(DBFFIELD_STRUCT other);
DBFFIELD_STRUCT *DbfField(void *dbffieldv);
void DBFFieldWrite(HFILE hFile, BYTE encoding);
void dbfFieldSetVals(DBFFIELD_STRUCT *field);
void *DBFFieldRead(HFILE hFile, BYTE encoding);

