#define LISTH TRUE
typedef struct
{
   VOID *array;
   int size;

} List_struct;


typedef struct
{

   List_struct *(*New)();
   VOID (*Dispose)(List_struct *List);
   VOID (*Shuffle)(List_struct *List, int iOffset, int iStructSize, int iSize);
   List_struct *(*Add)(List_struct *List, VOID *vAdd, int iSize);
   List_struct *(*Where)(List_struct *List, int iOffset, VOID *value, int iSize);
   VOID (*Sort)(List_struct *List, int iOffset, int iStructSize, int iSize, enum SortOrder sortOrder, BOOL bValue);
   List_struct *(*Remove)(List_struct *List, VOID *value, int valueSize);
   List_struct *(*Insert)(List_struct *List, VOID *value, int valueSize, int iNextPos);
   BOOL (*Contains)(List_struct *List, VOID *value, int iOffset, int iStructSize, int iSize);
} LIST_FUNCT_STRUCT;

LIST_FUNCT_STRUCT List;

List_struct *New();
List_struct *Add(List_struct *List, VOID *vAdd, int iSize);
List_struct *Insert(List_struct *List, VOID *value, int valueSize, int iNextPos);
void List_Init();


