# ALL: ReadDBase.EXE
#
# ReadDBase.res : ReadDbase.rc ReadDBase.rch
#      rc -r ReadDBase.rc
#
# ReadDBase.obj : ReadDBase.c
#      ICC /Ti+ /Gm+ /Gd- /Se /Re /ss /Ms /c /W3 ReadDBase.c
#
# ReadDBase.EXE : ReadDBase.res ReadDBase.def ReadDBase.obj
#      link386 /NOE /NOD /CO /EXEPACK /M /BASE:0x10000 @ReadDBase.lnk
#      rc ReadDBase.res
#
#
# ReadDBase.mak
# Created by Nathan at 11:44:40 on 23 May 2002
#
# compile using:
#                IBM C++ ver 3.08
#                OS/2 toolkit version 4.5
#
# The actions included in this make file are:
#  Compile::C++ Compiler
#  Link::Linker
#  Bind::Resource Bind
#  Compile::Resource Compiler

.SUFFIXES: .C .RC .obj .res

.all: \
    ReadDBase.exe


.C.obj:
    @echo " Compile::C++ Compiler "
    icc.exe /Gh /Ti /Tm+ /Wpar+ /Gm+ /Gd /Ss /Fo"%|dpfF.obj" /C "%s"

.RC.res:
    @echo " Compile::Resource Compiler "
    rc.exe -r %s %|dpfF.RES

ReadDBase.exe: \
    ReadDBase.obj \
    {$(LIB)}cppopa3.obj \
    ReadDBase.res
    @echo " Link::Linker "
    @echo " Bind::Resource Bind "
    icc.exe @<<
     /B" /de /noe /STACK:1024000"
     /FeReadDBase.exe
     ReadDBase.obj
     cppom30.lib
<<
    rc16.exe ReadDBase.res ReadDBase.exe

ReadDBase.obj: \
    ReadDBase.C \
    ..\dbf\dbf.h \
    {$(INCLUDE)}ReadDBase.h

ReadDBase.res: \
    ReadDBase.RC \
    {$(INCLUDE)}ReadDBase.h








