#define LISTH TRUE

typedef struct
{
   enum DbfVersion Version;
   DATETIME LastUpdate;
   ULONG NumRecords;
   USHORT HeaderLength;
   USHORT RecordLength;
   BYTE Encoding;
   struct DBFHEADER_STRUCT (*CreateHeader)(int var);
   struct DBFHEADER_STRUCT (*DbfHeader)(struct DBFHEADER_STRUCT *dbfHeader);
   void *(*Read)(HFILE *reader, HFILE *memoData);
   void *(*Write)(HFILE *writer, List_struct *fields, List_struct *records);
} DBFHEADER_STRUCT;


DBFHEADER_STRUCT dbfHeader;

DBFHEADER_STRUCT *DbfHeader(DBFHEADER_STRUCT *dbfHeader);
DBFHEADER_STRUCT *dbfHeaderCreateHeader(enum DbfVersion version);
void dbfHeaderWrite(HFILE *writer, List_struct *fields, List_struct *records);
void dbfHeaderRead(HFILE *writer);  /* abstract */

