typedef struct
{
   CHAR defaultSeparator[2];
   CHAR defaultMask[15];
   List_struct *fields;
   List_struct *Data;
   void *(*Write)(HFILE hFile, BYTE encoding);
   void *(*Read)(HFILE hFile, DBFHEADER_STRUCT *dbfHeader, List_struct *fields, BYTE *memoData, int encoding);
} DBFRECORD_STRUCT;


BYTE *ConvertToByte(PSZ pszData);
void dbfRecordWrite(HFILE hFile, int encoding);
void dbfRecordSet(DBFRECORD_STRUCT *record);
void *dbfRecordRead(HFILE hFile, DBFHEADER_STRUCT *dbfHeader, List_struct *fields, BYTE *memoData, int encoding);
DATETIME ConvertFoxProToDateTime(BYTE *buffer);
DATETIME JulianToDateTime(long julianDateAsLong);

