#define LISTH TRUE
enum dbfWrite { dbfwrite, dbfheader, dbf3header};
typedef struct
{
   VOID *array;
   int size;

} Dbf_struct;
typedef struct
{
   List_struct *Fields;
   List_struct *Records;


} Dbf_Struct;

typedef struct
{

   CHAR dllVersion[100];
   struct DBF_STRUCT *(*Dbf)(void *dbf);
   void *(*New)(void);
   void (*Dispose)(void);
   ULONG (*ReadHeader)(DBFHEADER_STRUCT *dbf);
   ULONG (*Read)(PSZ Path);
   ULONG (*WriteStream)(HFILE writer, enum dbfVersion version);
   ULONG (*WritePath)(CHAR *path, enum dbfVersion version);
   ULONG (*Write)(HFILE *writer, enum dbfVersion version);
   DBFRECORD_STRUCT *(*CreateRecord)(void);
   List_struct *Fields;
   List_struct *Records;
   void *DbfNew;

   DBFFIELD_STRUCT *DBFField;
   DBFHEADER_STRUCT *DBFHeader;
   DBFRECORD_STRUCT *DBFRecord;
   LIST_FUNCT_STRUCT *List;
} DBF_STRUCT;

DBF_STRUCT *DbfNew(void);
void DBFRead(PSZ path);
void WriteStream(HFILE writer, enum DbfVersion version);
void WritePath(CHAR *path, enum DbfVersion version);
void WriteStreamBool(HFILE hFile, BOOL leaveOpen);
void ReadStream(HFILE hFile);
void ReadHeader(HFILE hFile);
void ReadFields(HFILE hFile);
void ReadRecords(HFILE hFile, BYTE *memoData);
void WriteFields(HFILE hFile);
void WriteRecords(HFILE hFile);
void DBFWrite(CHAR *path, enum DbfVersion version);
DBFRECORD_STRUCT *CreateRecord(void);
void DbfDispose(void);

